Bug 1074057

Summary: qemu can't properly capture some keys in libreoffice under GNOME wayland
Product: [openSUSE] openSUSE Tumbleweed Reporter: Grace Wang <grace.wang>
Component: GNOMEAssignee: E-mail List <gnome-bugs>
Status: NEW --- QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P5 - None CC: alynx.zhou, dimstar, fcrozat, guillaume.gardet, okurz, qkzhu, yfjiang
Version: Current   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: Yes
Marketing QA Status: --- IT Deployment: ---

Description Grace Wang 2017-12-25 03:35:27 UTC
Env:
openSUSE Tumbleweed
QEMU emulator version 2.10.0
Mutter 3.26.2-1.1

Steps:
1. Boot to the default GNOME session (by default wayland is enabled)
2. Launch libreoffice writer
3. Use QEMU monitor to send key "alt-f"

Actual Result:
There is no response on the libreoffice writer side. 
And if we press "alt-f" on the libreoffice writer directly, the File menu will be shown. 

It looks like qemu can't capture keys properly under wayland
Comment 1 Yifan Jiang 2017-12-25 04:47:11 UTC
I can only see this issue when "sendkey alt-{key}" (including alt-f) to libreoffice under wayland, when libreoffice-gtk3 is installed. On the other hand, when I give proper hold time "sendkey alt-{key} 100" it will work.

On the other hand, "sendkey alt-{key}" without the hold time works on X session as expected.
Comment 2 QK ZHU 2018-01-15 07:24:37 UTC
This bug can was reproduced:
- https://openqa.suse.de/tests/1386489#step/nautilus_permission/15

> send_key "shift-f10";
didn't work under the default wayland session.
Comment 35 Guillaume GARDET 2019-08-01 15:07:24 UTC
It seems to be the case for aarch64 Tumbleweed for LibreOffice:
https://openqa.opensuse.org/tests/997420#step/libreoffice_recent_documents/13
Comment 43 Alynx Zhou 2019-11-15 10:17:27 UTC
some update:

with a simple gtk program I can test it with `--gdk-debug=all` and find something interesting:

when this bug happens, a `Gdk-Message: 18:11:03.919: done 0x55b03bcbfbf0` was printed, but in normal case should be `Gdk-Message: 18:11:05.351: surface enter, window 0x55b03bcbfbf0 output 0x55b03b874560`.

The surface was done before enter it, I read codes for gdk and find this is emit by wayland-server.

So I compiled a mutter with some patch on my system, and find where this `done` was emitted, it seems from `https://gitlab.gnome.org/GNOME/mutter/blob/master/src/wayland/meta-wayland-xdg-shell.c#L971`, this if expression failed.

I will try to read more code for this function next week. I write it here so I can read next week.
Comment 69 Oliver Kurz 2021-03-04 07:28:37 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/5582133

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 70 openQA Review 2021-03-18 21:17:45 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/5690901

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 71 Oliver Kurz 2021-04-02 06:04:44 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: wayland-desktopapps-gnome
https://openqa.suse.de/tests/5750493

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 72 Oliver Kurz 2021-04-16 06:18:09 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/5829597

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 73 Oliver Kurz 2021-04-30 06:35:56 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: wayland-desktopapps-gnome
https://openqa.suse.de/tests/5903879

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 74 Oliver Kurz 2021-05-15 06:37:32 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: wayland-desktopapps-gnome
https://openqa.suse.de/tests/5990757

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 75 Oliver Kurz 2021-05-30 06:37:02 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: wayland-desktopapps-gnome
https://openqa.suse.de/tests/5990757

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 76 Oliver Kurz 2021-06-13 06:38:27 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: wayland-desktopapps-gnome
https://openqa.suse.de/tests/5990757

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 77 Dominik Heidler 2021-07-05 13:40:26 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: wayland-desktopapps-gnome
https://openqa.suse.de/tests/5990757

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 78 openQA Review 2021-07-20 00:01:00 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: desktopapps-gnome-x11
https://openqa.opensuse.org/tests/1847208

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 79 openQA Review 2021-08-03 00:03:06 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: x11-desktopapps-gnome@64bit-2gbram
https://openqa.suse.de/tests/6631109

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 80 openQA Review 2021-08-17 00:53:14 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/6857247

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 81 openQA Review 2021-08-31 01:04:18 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/6965006

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 82 openQA Review 2021-09-14 01:05:24 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/7090849

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 83 openQA Review 2021-09-28 01:39:37 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/7242963

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 84 openQA Review 2021-10-12 02:09:57 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/7378036

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 85 openQA Review 2021-10-26 14:40:13 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: x11-desktopapps-gnome@64bit-2gbram
https://openqa.suse.de/tests/7508120

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 86 openQA Review 2021-11-12 01:09:27 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/7646171

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 87 openQA Review 2021-11-26 01:35:30 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/7739458

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 88 openQA Review 2021-12-10 02:53:46 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/7814123

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 89 openQA Review 2021-12-28 00:29:03 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/7912033

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 90 openQA Review 2022-01-11 00:33:28 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/7955409

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 91 openQA Review 2022-01-25 00:35:25 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: desktopapps-gnome
https://openqa.opensuse.org/tests/2153829

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 92 openQA Review 2022-02-08 01:00:23 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: qam-regression-gnome@64bit-virtio-vga
https://openqa.suse.de/tests/8024209

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 93 openQA Review 2022-02-23 00:11:16 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: desktopapps-gnome-x11
https://openqa.opensuse.org/tests/2201785

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 94 openQA Review 2022-03-23 00:16:26 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: wayland-desktopapps-gnome
https://openqa.suse.de/tests/8350897

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`

Expect the next reminder at the earliest in 56 days if nothing changes in this ticket.
Comment 95 openQA Review 2022-05-18 00:50:32 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: wayland-desktopapps-gnome
https://openqa.suse.de/tests/8753179

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`

Expect the next reminder at the earliest in 112 days if nothing changes in this ticket.